<?php
/*
Start and stop in metern/config/config_daemon.php

php /srv/http/comapps/com_daemon.php { start | stop }

Then, request values with these commands :
cat /dev/shm/metern_log.txt | egrep "^1_V\(" | grep "*V)"
cat /dev/shm/metern_log.txt | egrep "^1_F\(" | grep "*Hz)"
cat /dev/shm/metern_log.txt | egrep "^1_PF\(" | grep "*F)"
cat /dev/shm/metern_log.txt | egrep "^1_IE\(" | grep "*Wh)"
cat /dev/shm/metern_log.txt | egrep "^1_EE\(" | grep "*Wh)"
cat /dev/shm/metern_log.txt | egrep "^1_P\(" | grep "*W)"
*/

if (isset($_SERVER['REMOTE_ADDR'])) {
    die('Direct access not permitted');
}

if (file_exists('/dev/shm/com_daemon.pid')) {
    $pid = (int) file_get_contents('/dev/shm/com_daemon.pid');
} else {
    $pid = null;
}

if (isset($argv[1])) {
    if (($argv[1] == 'start' || $argv[1] == 'stop') && file_exists('/dev/shm/metern_log.txt')) {
        unlink('/dev/shm/metern_log.txt');
    }
    if ($argv[1] == 'start') {
        if (is_null($pid)) {
            $command = 'php /srv/http/comapps/com_daemon_loop.php' . ' > /dev/null 2>&1 & echo $!;';
            $pid     = exec($command);
            file_put_contents('/dev/shm/com_daemon.pid', $pid);
        } else {
            echo "com_daemon seem to be running as $pid";
        }
    } else if ($argv[1] == 'stop') {
        if (!is_null($pid)) {
            $command = exec("kill -9 $pid > /dev/null 2>&1 &");
        }
        unlink('/dev/shm/com_daemon.pid');
    } else {
        echo "Usage : com_daemon {start | stop}\n";
    }
} else {
    echo "Usage : com_daemon {start | stop}\n";
}
?>
